Package com.google.protobuf

# Interface DescriptorProtos.FieldOptions.EditionDefaultOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.FieldOptions.EditionDefault`, `DescriptorProtos.FieldOptions.EditionDefault.Builder`

Enclosing class:
  `DescriptorProtos.FieldOptions`

public static interface DescriptorProtos.FieldOptions.EditionDefaultOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`DescriptorProtos.Edition`
`getEdition()`
`optional .google.protobuf.Edition edition = 3 [json_name = "edition"];`
`String`
`getValue()`
`optional string value = 2 [json_name = "value"];`
`ByteString`
`getValueBytes()`
`optional string value = 2 [json_name = "value"];`
`boolean`
`hasEdition()`
`optional .google.protobuf.Edition edition = 3 [json_name = "edition"];`
`boolean`
`hasValue()`
`optional string value = 2 [json_name = "value"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasEdition

boolean hasEdition()
`optional .google.protobuf.Edition edition = 3 [json_name = "edition"];`

Returns:
  Whether the edition field is set.

### getEdition

DescriptorProtos.Edition getEdition()
`optional .google.protobuf.Edition edition = 3 [json_name = "edition"];`

Returns:
  The edition.

### hasValue

boolean hasValue()
`optional string value = 2 [json_name = "value"];`

Returns:
  Whether the value field is set.

### getValue

String getValue()
`optional string value = 2 [json_name = "value"];`

Returns:
  The value.

### getValueBytes

ByteString getValueBytes()
`optional string value = 2 [json_name = "value"];`

Returns:
  The bytes for value.